GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "3915067e-a8bc-4b30-b85b-979c55ebb2bf",
"program_id": "e7c0c743-cbdb-4e87-9296-55b8aeeb6e70",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "d8c43d0c-19c8-4ef4-91e8-9d1208ca9bad",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>3915067e-a8bc-4b30-b85b-979c55ebb2bf</id> <medistream_program_step_type_id>d8c43d0c-19c8-4ef4-91e8-9d1208ca9bad</medistream_program_step_type_id> <name>sample string 4</name> <program_id>e7c0c743-cbdb-4e87-9296-55b8aeeb6e70</program_id> </medistream_program_step>